var Fis24000_RelatorioCustomizavelIssRetido_Controller = function(templateManager, ScreenService, General, ZhFilterPreferences){
    /**
     * Variáveis de Inicialização
     **/
    var self = this;
    
    /**
     * Abertura do Filtro de Relatório
     * @param widget 
     */
    self.openFilterReport = function(widget){
        ZhFilterPreferences.openFilterWidget(widget);

    };
    
    
    self.applyFilterReport = function(widget, preference){
        var currentRowFiltro = preference.FILTER_ROW;
        var cdImposto   = currentRowFiltro.CDIMPOSTONFE;
        var cdOperacao   = currentRowFiltro.CDTIPOOPER;
        var periodo   = currentRowFiltro.ENTRADA;
        widget.dataSourceFilter.forEach(function (filtro) {
            switch(filtro.name){
                 case 'CDIMPOSTONFE': filtro.value = cdImposto?cdImposto:'';
                 break;
                 case 'CDTIPOOPER': filtro.value = cdOperacao?cdOperacao:'';
                 break;
                 case 'DTINICIO': filtro.value =  filtro.value = periodo.start;
                 break;
                 case 'DTFIM': filtro.value =  filtro.value = periodo.end;
                 break;
            }
        });
       preference.CUSTOM_FILTER_ROW = {};
    };
};
Configuration(function (ContextRegister){
    ContextRegister.register('Fis24000_RelatorioCustomizavelIssRetido_Controller', Fis24000_RelatorioCustomizavelIssRetido_Controller);
});